let
  ips = import ../modules/ips.nix; 
in {
  # Networking settings
  networking = {
    # Enable firewall
    firewall = {
      allowPing = false;
      extraInputRules = ''
        ip saddr { ${ips.server}, ${ips.wgSpan}.1 } accept comment "Accept Server"
      '';
    };
  };
}
